
Figure - Bug #112913
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开应用小窗，然后关闭，进入多任务管理器，点击该应用的进程卡片，进
入全屏模式后使用上划手势退出，应用无法完全退出（具体见视频）
2022-10-25 15:15 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-25

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221025.alpha_0039

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

Reproducibility: Every time Fixed Version: 2022-11-15

Test Type: IT Root cause: 在小窗切全平时，没有清除进入recent加入的小窗task信息，导致退出时又恢复了小窗

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入应用小窗模式（如图库），

2、关闭图库

3、通过上划手势进入多人任务管理器

4、点击图库的进程卡片，进入应用全屏模式

（按理说应该只有小窗进程卡片，但目前是小窗进程卡片和功能卡片都存在，此处两个卡片都会出现问题，不用区分）

5、在应用全屏页面使用快速上划手势

【预期结果】

5、应用退出全屏模式（应用关闭）

【实际结果】

3、应用无法完全退出，卡在中途（见截图），无法对应用内的内容进行操作

History

#1 - 2022-10-25 16:48 - CD TEST-方永红

- Category changed from CD-APP to 窗口定制

- Assignee changed from CD APP-王营 to DL FW-张挽强

测试内容补充：

刚刚发现不进入任务管理器，直接由小窗模式进全屏模式，然后再向上滑动关闭应用，也会出现该现象

所以可能是由小窗部分的修改引起的

#2 - 2022-10-27 15:07 - CDTS-TEST 周婷

- Due date set to 2022-11-04

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#3 - 2022-10-27 18:24 - DL FW-张挽强
- Status changed from New to ASSIGNED

My analysis

用24db 刷写最新代码的system.img 不能复现问题

用27db 刷写最新代码的system.img 必现问题

Next action

1.确认定位引起问题的代码

#4 - 2022-10-28 13:56 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD APP-李蛟

排查之后发现是如下代码修改引起的：

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/157416

麻烦帮忙确认一下 这笔代码的修改是否存在问题

#5 - 2022-10-31 09:52 - CD APP-李德盛

- Assignee changed from CD APP-李蛟 to CD APP-李德盛

#6 - 2022-10-31 10:42 - CD APP-李德盛

- Assignee changed from CD APP-李德盛 to DL FW-张挽强

■ Current conclusion

新版本未复现

版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202210290310

■ My analysis

在新系统上安装旧版launcher也无法复现，应该是小窗修复了

■ Next action

请确认是否有相关修改

#7 - 2022-10-31 14:25 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD APP-李德盛

- Fixed Version set to 2022-10-31

■ Current conclusion

27号之后小窗没有入库代码

之前确认是由于这笔代码引起的 https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/157416

找测试的测试同学验测试过 这个是必现的问题在最新版本

具体现象和必现手顺 请与测试同学联系

#8 - 2022-10-31 14:47 - DL FW-张挽强

- Fixed Version deleted (2022-10-31)

#9 - 2022-11-01 10:40 - CD APP-李德盛

- File 修改后.mp4 added
#10 - 2022-11-01 10:44 - CD APP-李德盛

- Assignee changed from CD APP-李德盛 to DL FW-张挽强

■ Current conclusion

复现成功

■ My analysis

旧版本进出recent存在漏掉用enterRecentTasks和exitRecentTasks的问题，导致从应用上划进recent小窗不隐藏，上面那笔提交修复了这点。现在的逻辑：上

划进入recent状态调用enterRecentTasks，抬起回到桌面调用exitRecentTasks。去掉上述逻辑后问题消失。

其他操作也能够触发该问题，猜测是任务没有完全退出小窗模式

修改后的测试视频 https://share.thundersoft.com/redmine/attachments/download/70058/%E4%BF%AE%E6%94%B9%E5%90%8E.mp4

■ Next action

请确认关闭小窗以及enterRecentTasks和exitRecentTasks的逻辑，如需launcher修改，请提供完整的调用流程和时序。

#11 - 2022-11-01 18:08 - DL FW-张挽强

■ My analysis

在小窗由小窗口进入全屏时候，进入recent后没有清除recenttask的list 导致退出后有恢复了小窗模式。

■ Next action

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/159445

提交代码 编译验证

#12 - 2022-11-02 09:45 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-11-03

- Root cause set to 在小窗切全平时，没有清除进入recent加入的小窗task信息，导致退出时又恢复了小窗

#13 - 2022-11-03 10:35 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to DL FW-张挽强

11.3  

之前在测试过程发现直接在小窗模式进入全屏，再进入recent也会出现页面卡住的现象（以下称“该问题）

经过验证,该问题已经解决,但按照bug票中的手顺仍能复现，故分析不是同一原因造成，需要研发同事再次分析解决

#14 - 2022-11-08 15:27 - DL FW-张挽强

- % Done changed from 100 to 60

#15 - 2022-11-10 10:41 - DL FW-张挽强

- Status changed from RESOLVED to ASSIGNED

#16 - 2022-11-14 09:57 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 60 to 100

- Fixed Version changed from 2022-11-03 to 2022-11-15
#17 - 2022-11-16 11:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

11.16 对有小窗功能的应用进行检查，问题不复现，关闭

#18 - 2022-11-16 11:03 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#19 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159445 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:fixed sliding up the app can't exit completely1.Modify the freeform change fullmode remove root task for recentTC-RID: 1201-0204601IssueID:

TS-R-BUG-112913Change-Id: I80f90e344c15123423a362ade4b31dea3bb1c0a5

#20 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162026 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jian.hao@thundersoft.com

AF:MultiWindow:The freeform window does not display correctly after exiting Recent1.modify enterRecentTasks F-interfaceChange-Id:

I37af0e9796d523e71b0d2023278d2de8c9c5feb7TC-RID: 1201-0204601IssueID: TS-R-BUG-112913

#21 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162371 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jian.hao@thundersoft.com

AF:MultiWindow:The freeform window does not display correctly after exiting Recent1.modify enterRecentTasks F-interfaceChange-Id:

I680c00a317218954f72fb15f1d1afa175c511c50TC-RID: 1201-0204601IssueID: TS-R-BUG-112913

Files

Phone-STS40X190122 2022-10-25 15-12-46.mp4 14.9 MB 2022-10-25 CD TEST-方永红

1512.txt 3.94 MB 2022-10-25 CD TEST-方永红
1514.png 149 KB 2022-10-25 CD TEST-方永红

修改后.mp4 1.72 MB 2022-11-01 CD APP-李德盛
